[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFields.FindField

Find a field based on its name

## Declaration

Source position: db.pas line 1098

`public function TFields.FindField(`
`const Value: string`
`):TField;`

## Arguments

`Value` |  | Fieldname to search for

## Function result

Field instance with FieldName matching Value

## Description

FindField searches the list of fields and returns the field instance whose FieldName property matches Value. The search is performed case-insensitively. If no field instance is found, then Nil is returned.

## See also

TFields.FieldByName |  | Find a field based on its name

Documentation generated on: Feb 26 2014